> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post mcp connect

> Connect an MCP server



## OpenAPI

````yaml /openapi.json post /mcp/{name}/connect
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /mcp/{name}/connect:
    post:
      description: Connect an MCP server
      operationId: mcp.connect
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
        - schema:
            type: string
          in: path
          name: name
          required: true
      responses:
        '200':
          description: MCP server connected successfully
          content:
            application/json:
              schema:
                type: boolean
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.mcp.connect({
              ...
            })

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.